### Function

# GIRepository Repository dup_default

since: 2.86

#### Declaration [src]

    GIRepository*
    gi_repository_dup_default (
      void
    )

#### Description [src]

Gets the singleton process-global default `GIRepository`.

The singleton is needed for situations where you must coordinate between bindings and libraries which also need to interact with introspection which could affect the bindings. For example, a Python application using a GObject-based library through `GIRepository` to load plugins also written in Python.

Available since: 2.86

#### Return value

Type: `GIRepository`

The global singleton repository.

The caller of the function takes ownership of the data, and is responsible for freeing it.